Bug 1410821 (CVE-2017-5193) - CVE-2017-5193 irssi: Null pointer dereference in the nickcmp function
Summary: CVE-2017-5193 irssi: Null pointer dereference in the nickcmp function
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-5193
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1410829 1410830
Blocks: 1410833
TreeView+ depends on / blocked
 
Reported: 2017-01-06 15:11 UTC by Andrej Nemec
Modified: 2021-02-17 02:48 UTC (History)
4 users (show)

Fixed In Version: irssi 0.8.21, irssi 1.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-21 17:19:17 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-06 15:11:32 UTC
A null pointer dereference vulnerability was found in irssi.

External References:

https://irssi.org/security/irssi_sa_2017_01.txt

Upstream patch:

https://github.com/irssi/irssi/commit/6c6c42e3d1b49d90aacc0b67f8540471cae02a1d

CVE assignment:

http://seclists.org/oss-sec/2017/q1/26

Comment 1 Andrej Nemec 2017-01-06 15:19:58 UTC
Created irssi tracking bugs for this issue:

Affects: fedora-all [bug 1410829]
Affects: epel-5 [bug 1410830]

Comment 2 Cedric Buissart 2017-02-21 16:42:15 UTC
* A rogue IRC server is required to be able to crash irssi via this vulnerability. An attacker would need to either gain control of a IRC server, or trick the user into connecting a rogue IRC server => Lowering the severity due to access complexity.

* From the upstream patch, only the part concerning src/irc/core/irc-queries.c file refers to this vulnerability.

Comment 4 Cedric Buissart 2017-02-21 17:19:02 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.